import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";

import { AuthGuard } from "./shared/guards";
import { HomeComponent } from "./home/home.component";
import { TopicComponent } from "./topic/topic.component";
import { CreateTopicComponent } from "./create-topic/create-topic.component";
import { LoginComponent } from './login/login.component';
import { RegisterComponent } from './register/register.component';
const routes: Routes = [
  // {
  //   path: "",
  //   component: HomeComponent,
  //   canActivate: [AuthGuard],
  // },
  { 
    path: "",
    component: HomeComponent
  },
  { 
    path: "login",
    component: LoginComponent
  },
  { 
    path: "register",
    component: RegisterComponent
  },
  { 
    path: "topic",
    component: TopicComponent
  },
  { 
    path: "create", 
    component: CreateTopicComponent 
  },
  {
    path: "auth",
    loadChildren: () => import("./auth/auth.module").then((m) => m.AuthModule),
  },
  {
    path: "admin",
    loadChildren: () =>
      import("./admin/admin.module").then((m) => m.AdminModule),
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
